Bug 101994 - xterm should be in /usr/X11R6/bin, not /usr/bin
Summary: xterm should be in /usr/X11R6/bin, not /usr/bin
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: xterm   
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-08-08 18:19 UTC by Chris Ricker
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 17:05:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2003-08-08 18:19:21 UTC
RHL 9 and older put xterm on as /usr/X11R6/bin/xterm as part of XFree86

Upgrading from RHL 9 to severn removes that xterm and does not put a new one on
(already bugzilla'd)

Once you manually install the xterm RPM, however, it installs xterm as
/usr/bin/xterm

This means that people upgrading from RHL 9 to severn get broken icons if
they've added xterm to their desktop / toolbar / menu / whatever

Comment 1 Mike A. Harris 2003-08-08 22:58:43 UTC
Yeah, I've thought about that a bit.  I think the best way to handle this would
be for me to add a symlink in the xterm package for compatibility.

For the xterm disappearing on upgrade problem, I'm going to add a dep on xterm
from the XFree86-twm package and any others that require xterm, that should
handle upgrades ok I believe.

Comment 2 Mike A. Harris 2003-08-13 13:09:28 UTC
The symlink is added in xterm-179-3 and xterm-179-3.EL now.

Comment 3 Mike A. Harris 2004-06-24 17:05:40 UTC
[mharris@laser rpmbuild]$ rpm -q xterm
xterm-179-5
[mharris@laser rpmbuild]$ rpm -ql xterm
/usr/X11R6/bin/xterm
/usr/X11R6/lib/X11/app-defaults/UXTerm
/usr/X11R6/lib/X11/app-defaults/XTerm
/usr/X11R6/lib/X11/app-defaults/XTerm-color
/usr/bin/resize
/usr/bin/uxterm
/usr/bin/xterm
/usr/share/man/man1/resize.1.gz
/usr/share/man/man1/xterm.1.gz


Bug status was incorrect (UPSTREAM) - updating bug status to "ERRATA"


Note You need to log in before you can comment on or make changes to this bug.